nik4(1)

NAME
nik4 - Tile-aware Mapnik image renderer

SYNOPSIS
\FCnik4\F[]
[\FC-h\F[]] [\FC--version\F[]] [\FC-z\F[] ZOOM] [\FC-p\F[] PPI] [\FC--factor\F[] FACTOR] [\FC-s\F[] SCALE] [\FC-b\F[] Xmin Ymin Xmax Ymax] [\FC-a\F[] PAPER] [\FC-d\F[] W H] [\FC-x\F[] W H] [\FC--norotate\F[]] [\FC-m\F[] MARGIN] [\FC-c\F[] X Y] [\FC--fit\F[] FIT] [\FC--padding\F[] PADDING] [\FC--layers\F[] LAYERS] [\FC--add-layers\F[] ADD_LAYERS] [\FC--hide-layers\F[] HIDE_LAYERS] [\FC--url\F[] URL] [\FC--ozi\F[] OZI] [\FC--wld\F[] WLD] [\FC-t\F[] {1,2,3,4,5,6,7,8,9,10,11,12}] [\FC--just-tiles\F[]] [\FC-v\F[]] [\FC-f\F[] FMT] [\FC--base\F[] BASE] [\FC--vars\F[] [VARS [VARS ...]]] [\FC--fonts\F[] [FONTS [FONTS ...]]] style output

DESCRIPTION
nik4 is a Python script to generate images with Mapnik.

OPTIONS
Positional arguments:

style
    Style file for Mapnik

output
    Resulting image file

Optional arguments:

\FC-h\F[], \FC--help\F[]
    Show usage information and exit

\FC--version\F[]
    Show program's version number and exit

\FC-z\F[] ZOOM, \FC--zoom\F[] ZOOM
    Target zoom level

\FC-p\F[] PPI, \FC--ppi\F[] PPI, \FC--dpi\F[] PPI
    Pixels per inch (alternative to scale)

\FC--factor\F[] FACTOR
    Scale factor (affects ppi, default=1)

\FC-s\F[] SCALE, \FC--scale\F[] SCALE
    Scale as in 1:100000 (specifying ppi is recommended)

\FC-b\F[] Xmin Ymin Xmax Ymax, \FC--bbox\F[] Xmin Ymin Xmax Ymax
    Bounding box

\FC-a\F[] PAPER, \FC--paper\F[] PAPER
    Paper format: \FC-a\F[] \FC+4\F[] for landscape A4, \FC-a\F[] \FC-4\F[] for portrait A4, \FC-a\F[] \FCletter\F[] for autorotated US Letter

\FC-d\F[] W H, \FC--size\F[] W H
    Target dimensions in mm (one 0 allowed)

\FC-x\F[] W H, \FC--size-px\F[] W H
    Target dimensions in pixels (one 0 allowed)

\FC--norotate\F[]
    Do not swap width and height for bbox

\FC-m\F[] MARGIN, \FC--margin\F[] MARGIN
    Amount in mm to reduce paper size

\FC-c\F[] X Y, \FC--center\F[] X Y
    Center of an image

\FC--fit\F[] FIT
    Fit layers in the map, comma-separated

\FC--padding\F[] PADDING
    Margin for layers in \FC--fit\F[] (default=5), mm

\FC--layers\F[] LAYERS
    Map layers to render, comma-separated

\FC--add-layers\F[] ADD_LAYERS
    Map layers to include, comma-separated

\FC--hide-layers\F[] HIDE_LAYERS
    Map layers to hide, comma-separated

\FC--url\F[] URL
    URL of a map to center on

\FC--ozi\F[] OZI
    Generate ozi map file

\FC--wld\F[] WLD
    Generate world file

\FC-t\F[] {1,2,3,4,5,6,7,8,9,10,11,12}, \FC--tiles\F[] {1,2,3,4,5,6,7,8,9,10,11,12}
    Write N×N tiles, then join using ImageMagick

\FC--just-tiles\F[]
    Do not join tiles, instead write ozi/wld file for each

\FC-v\F[], \FC--debug\F[]
    Display calculated values

\FC-f\F[] FMT, \FC--format\F[] FMT
    Target file format (by default looks at extension)

\FC--base\F[] BASE
    Base path for style file, in case it's piped to STDIN

\FC--vars\F[] [VARS [VARS ...]]
    List of variables (name=value) to substitute in style file (use ${name:default})

\FC--fonts\F[] [FONTS [FONTS ...]]
    List of full path to directories containing fonts